Kerbal Space Program - Bug #9975

Resources missing from list when loading from eva
06/16/2016 08:46 PM - Brusura

Status: Confirmed Start date: 06/16/2016
Severity: Normal % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

1.1.2.1260 x64 ( steam )

Resources are not listed when loading a kerbal on eva and then switching to a craft in physics range, the bug is not present if craft is
loaded first instead of the kerbal on eva

Launch the craft

Go on eva

Switch back to craft with brackets
check all resources listed

Go to space center

select kerbal on eva and click fly
Switch back to craft with brackets
check again all resource listed

http://imgur.com/a/v4J9Q

Related issues:
Related to Kerbal Space Program - Bug #10014: Resources missing from list whe... Duplicate 06/22/2016

History

#1 - 06/23/2016 09:15 AM - sal_vager

- Related to Bug #10014: Resources missing from list when loading from eva added

#2 - 07/17/2016 09:57 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/18/2016 04:17 PM - Brusura
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

#4 - 07/29/2016 03:29 PM - sal_vager
- Status changed from Updated to Confirmed

#5 - 07/31/2016 04:56 PM - Alchemist

Same problem also happens when separating and reattaching vehicles with different length of resource list - the resource list display height gets stuck
at the value for one of the craft and the list for another may get cut short.

As example, see this: the tug rover (only having electricity) docks to the plane (fueled by LFO and having also ore tanks for ISRU), and the list gets
stuck at the height for the rover.

https://youtu.be/DVA91sBzSSk?t=32m48s

You can also see the opposite case - when the rover detaches, its resource list still has the full height of the plane's.
https://youtu.be/DVA91sBzSSk?t=8m59s

#6 - 08/27/2016 11:52 AM - MiniMatt
http://imgur.com/a/v4J9Q
https://youtu.be/DVA91sBzSSk?t=32m48s
https://youtu.be/DVA91sBzSSk?t=8m59s

- File ResourcePanelTest.sfs added

For extra clarity - the behaviour noted by Alchemist in note 5 had a bug listing in the pre-release project - #8366 - I've copied my final update on that
one below (and included a save file) as I'm not sure of procedure for bugs duplicated across projects.

Confirmed still present in release 1.1.3

Attached save file, ResourcePanelTest.sfs, demonstrates the problem whereby new resources gained by docking don't auto expand the resources
panel, leaving those resources hidden from view. Instructions for use:

e Load save file

Should see four rovers by the runway

Fly the Monoprop Rover, pin the resources panel.

Dock the rover into the sequentially placed other rovers, each containing a different resource

Note the resource panel failing to expand

As before, exiting to the space centre and re-flying will format to correct size, revealing all resources.

Files

Auto-Saved Ship.craft 9.77 KB 06/16/2016 Brusura
output_log.txt 507 KB 06/16/2016 Brusura
ResourcePanelTest.sfs 230 KB 08/27/2016 MiniMatt
